Skip to content

Get Health

GET
/api/v1/health
curl --request GET \
--url https://4dqyvfjdrf.execute-api.us-east-2.amazonaws.com/api/v1/health

Successful Response

Media type application/json
HealthResponse
object
sources
required
Sources
Array<object>
SourceHealthRecord
object
source
required
Source
string
last_error
Any of:
string
post_count
Post Count
integer
0
display_name
required
Display Name
string
last_crawl_at
Any of:
string format: date-time
source_status
SourceStatus
string
default: ok
Allowed values: ok stale error
consecutive_failures
Consecutive Failures
integer
0
last_successful_crawl_at
Any of:
string format: date-time
db_status
required
Db Status
string
last_crawl
Any of:
string format: date-time
Example
{
"sources": [
{
"post_count": 0,
"source_status": "ok",
"consecutive_failures": 0
}
]
}